public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-arcade/pengupop/files/, games-arcade/pengupop/
@ 2018-04-23 19:17 Pacho Ramos
  0 siblings, 0 replies; only message in thread
From: Pacho Ramos @ 2018-04-23 19:17 UTC (permalink / raw
  To: gentoo-commits

commit:     8bbbd40cd6bb5afd5a42bf26cc294bce39951fcb
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 23 18:11:23 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Mon Apr 23 19:17:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8bbbd40c

games-arcade/pengupop: Stop using games.eclass

Package-Manager: Portage-2.3.31, Repoman-2.3.9

 .../pengupop/files/pengupop-2.2.5-underlink.patch  |  4 +-
 games-arcade/pengupop/pengupop-2.2.5-r1.ebuild     | 55 ++++++++++++++++++++++
 2 files changed, 57 insertions(+), 2 deletions(-)

diff --git a/games-arcade/pengupop/files/pengupop-2.2.5-underlink.patch b/games-arcade/pengupop/files/pengupop-2.2.5-underlink.patch
index 5b6453accce..fbbb704a6a3 100644
--- a/games-arcade/pengupop/files/pengupop-2.2.5-underlink.patch
+++ b/games-arcade/pengupop/files/pengupop-2.2.5-underlink.patch
@@ -1,5 +1,5 @@
---- Makefile.am.old	2011-06-14 21:44:40.242317771 +0200
-+++ Makefile.am	2011-06-14 21:44:49.216882568 +0200
+--- a/Makefile.am.old	2011-06-14 21:44:40.242317771 +0200
++++ b/Makefile.am	2011-06-14 21:44:49.216882568 +0200
 @@ -17,7 +17,7 @@
  nodist_pengupop_SOURCES = images.h
  

diff --git a/games-arcade/pengupop/pengupop-2.2.5-r1.ebuild b/games-arcade/pengupop/pengupop-2.2.5-r1.ebuild
new file mode 100644
index 00000000000..6938c534c5c
--- /dev/null
+++ b/games-arcade/pengupop/pengupop-2.2.5-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools desktop gnome2-utils
+
+DESCRIPTION="Networked multiplayer-only Puzzle Bubble clone"
+HOMEPAGE="http://freshmeat.net/projects/pengupop"
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="media-libs/libsdl[sound,video]
+	sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	default
+
+	eapply "${FILESDIR}"/${P}-underlink.patch
+
+	sed -i \
+		-e '/Icon/s/\.png//' \
+		-e '/^Encoding/d' \
+		-e '/Categories/s/Application;//' \
+		pengupop.desktop || die
+
+	sed -i \
+		-e 's/-g -Wall -O2/-Wall/' \
+		Makefile.am || die
+
+	mv configure.in configure.ac || die
+	eautoreconf
+}
+
+src_install() {
+	default
+	domenu pengupop.desktop
+	doicon -s 48 pengupop.png
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2018-04-23 19:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-04-23 19:17 [gentoo-commits] repo/gentoo:master commit in: games-arcade/pengupop/files/, games-arcade/pengupop/ Pacho Ramos

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox